# $Revision: 1.28.2.1 $, $Date: 2006/05/19 20:51:52 $
Summary:	gLabels - a GNOME2 program to create labels and business cards
Summary(pl):	gLabels - program dla GNOME2 do tworzenia etykiet i wizytwek
Name:		glabels
Version:	2.0.4
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/glabels/%{name}-%{version}.tar.gz
# Source0-md5:	76a6f1f8055f75ab4204fdca79627006
Patch0:		%{name}-desktop.patch
URL:		http://glabels.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	intltool >= 0.21
BuildRequires:	libbonobo-devel >= 2.8.1
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeprintui-devel >= 2.10.2
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.19
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	sed >= 4.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gLabels is a small stand-alone program for creating labels and
business cards.

%description -l pl
gLabels jest maym, samodzielnym programem do tworzenia etykiet i
wizytwek.

%package libs
Summary:	glabels shared libraries
Summary(pl):	Biblioteki wspdzielone glabels
Group:		Libraries

%description libs
glabels shared libraries.

%description libs -l pl
Biblioteki wspdzielone glabels.

%package devel
Summary:	Header files for glabels
Summary(pl):	Pliki nagwkowe glabels
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for glabels.

%description devel -l pl
Pliki nagwkowe glabels.

%package static
Summary:	glabels static library
Summary(pl):	Statyczna biblioteka glabels
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
glabels staic library.

%description static -l pl
Statyczna biblioteka glabels.

%prep
%setup -q
%patch0 -p1

mv -f po/{zh_TW.Big5,zh_TW}.po
sed -i -e 's/zh_TW\.Big5/zh_TW/' configure.in

%build
%{__glib_gettextize}
%{__libtoolize}
%{__intltoolize}
%{__gnome_doc_common}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-update-mimedb \
	--disable-update-desktopdb
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/{mime-info,application-registry}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_desktop_database_post

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/mime/packages/*
%{_mandir}/man1/*.1*
%{_pixmapsdir}/%{name}
%{_pixmapsdir}/*.png
%{_desktopdir}/*.desktop
%{_omf_dest_dir}/%{name}

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libglabels

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glabels.spec,v $
Revision 1.28.2.1  2006/05/19 20:51:52  freetz
- 2.0.4, update configure time options, dropped install patch (obsoleted)

Revision 1.28  2005/04/12 21:40:10  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.27  2005/04/12 20:24:22  freetz
- cosmetics

Revision 1.26  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.25  2005/04/08 11:24:14  paladine
- bumped BRs
- missing R(post,postun): /sbin/ldconfig
- STBR

Revision 1.24  2005/04/07 19:43:58  freetz
- new style macros, require rpm macros rev.1.197

Revision 1.23  2005/03/20 16:52:42  aflinta
- rebuild with howl-0.9.10, release 2

Revision 1.22  2005/01/25 12:40:15  paladine
- updated to 2.0.2
- added desktop patch
- s/perl -pi/sed -i/
- STBR

Revision 1.21  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.20  2004/09/12 21:20:01  grzegol
- %%post should never fail

Revision 1.19  2004/08/15 16:49:04  aflinta
- up to version 2.0.1

Revision 1.18  2004/08/11 21:26:39  qboosh
- fixed files

Revision 1.17  2004/08/10 22:28:46  grzegol
- added install patch (don't run update-mime-database nor
  update-desktop-database during %%install)
- run update-mime-database in %%post/%%postun
- run /usr/bin/update-desktop-database if present

Revision 1.16  2004/08/10 15:58:15  aflinta
- up to version 2.0.0, removed desktop patch

Revision 1.15  2004/02/22 18:29:16  grzegol
- updated to 1.93.3
- added -libs -devel and -static subpackages
- updated BRs

Revision 1.14  2004/02/01 09:08:22  qboosh
- standardize locale dir names (zh_TW.Big5->zh_TW); release 2

Revision 1.13  2004/01/04 15:57:44  grzegol
- updated to 1.93.2
- removed outdated gnome_2_5 patch

Revision 1.12  2003/12/28 22:40:51  grzegol
- updated to 1.93.1
- added gnome_2_5 patch (fixes building in GNOME 2.5.x)
- run gnome-doc-common to copy missing file

Revision 1.11  2003/11/30 16:12:55  freetz
- 1.93.0
- DESTDIR patch removed (already in sources)

Revision 1.10  2003/11/10 13:33:05  grzegol
- updated to 1.92.3

Revision 1.9  2003/11/02 17:21:13  freetz
- 1.92.2 (fixes problems with batch cli)

Revision 1.8  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.7  2003/10/28 14:12:54  freetz
- 1.92.1
- updated %%files section
- updated .desktop patch

Revision 1.6  2003/09/04 12:14:33  grzegol
- updated to 1.92.0
- removed outdated libgnomeprint_fix and paths patches
- added DESTDIR patch
- simplified %%files

Revision 1.5  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.4  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:47:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/13 18:29:55  qboosh
- BR: ac,am,it,lt

Revision 1.1  2003/05/13 14:26:55  aflinta
- PLD initial release by Fryderyk Dziarmagowski <freetz@gmx.net>
